Page MenuHomePhabricator

Education coop mailing list rename
Closed, ResolvedPublic

Description

Hello!
We have a mailing list for Wikipedia Education Collaborative here [https://lists.wikimedia.org/mailman/listinfo/education-coop]. I wonder if the list name and address could be changed from "education coop" to "education collab" as its no longer known as Wikipedia Education Cooperative as it was earlier.

Thank you!

Details

Related Gerrit Patches:

Event Timeline

Selsharbaty-WMF raised the priority of this task from to Medium.
Selsharbaty-WMF updated the task description. (Show Details)
Selsharbaty-WMF added a subscriber: Selsharbaty-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2015, 5:29 PM
Krenair added a subscriber: Krenair.

Looks like a task that someone with sodium access would be needed to do: https://wikitech.wikimedia.org/wiki/Lists.wikimedia.org#Rename_a_mailing_list

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 30 2015, 5:32 PM

Might require downtime though?

Thanks, Krenair! There is no problem with time. We are not in a hurry.

Does your comment about sodium access mean that my ticket here is in the wrong place?

Does your comment about sodium access mean that my ticket here is in the wrong place?

Nope, just means someone from Operations will need to do it. I added that project so it's fine.

Will talk to @RobH to schedule this for action.

RobH claimed this task.Jul 30 2015, 10:34 PM

Change 229978 had a related patch set uploaded (by John F. Lewis):
mailman: add apache and exim aliases for education-coop rename

https://gerrit.wikimedia.org/r/229978

RobH added a comment.Aug 14 2015, 9:37 PM

This notice has been emailed to the list owners mailing list, as well as posted on tasks T108099 & T107445.

I've scheduled a sodium/mailman downtime window for planned maintainance on Tuesday, August 18th, 17:00–18:00 UTC. During this time, I'll be working the mailman side of the two tasks. Both are involving list renames. The deployments page on wikitech has been updated with this information: https://wikitech.wikimedia.org/wiki/Deployments

I do not expect this work to take the entire window. However, during this time, mailing list traffic will fail to receive/send. Once mailman is restarted, it will process mailing list messages. That means that mailing list delivery may be sporadic, or not at all, during this window. Any messages sent during this time will process either during or directly after the end of the maintenance.

Change 229978 merged by RobH:
mailman: add apache and exim aliases for education-coop rename

https://gerrit.wikimedia.org/r/229978

RobH removed RobH as the assignee of this task.Aug 18 2015, 5:42 PM

So I've renamed and removed the old list. The archives for the old list are still sitting around though.

@Selsharbaty-WMF: Please go ahead and check over the archives and ensure it all looks good to you. If so, please assign this task back to me so I can remove the old archives (and leave the newly renamed ones in place.)

Selsharbaty-WMF set Security to None.

Thanks for renaming the list in the scheduled time, RobH!

I have another question. Do I have the capacity to change the list from being closed to open, meaning that the content could be seen in search engines and seen by non members? Or I should request this here?

Thanks for being always helpful!

RobH added a comment.Aug 19 2015, 2:23 AM

I would be very, very careful on making a previously private list archives public. In fact, I wouldn't ever recommend that happen. Unless you are certain that all of the data can suddenly be searched, and everyone who contributed to that list in the past would be fine with it.

My understanding is the list administrator can flip the settings in the admin settings for said list to allow its archives to be public, but I would stress that I wouldn't do so.

Can we make future posts public without opening previous archives to non-members? I mean making new posts only open to the public not old ones.

Dzahn added a subscriber: Dzahn.Aug 19 2015, 3:35 AM

The easiest way to achieve this would be to stop using the old list and just start a new list. Another way would be to check with all contributors if making the current archive public is ok. What is also possible is deleting the old archives and continue with public archives on the same list. What is not really possible is having a single list where archives are private up to a certain date but public after that date.

RobH added a comment.Aug 19 2015, 5:14 PM

@Dzahn outlined that quite nicely! In fact, his way is the only proper way to achieve what you are looking for.

As such, what you request would best use a bit more downtime. I'd advise renaming the list you want to be private from education-collab to education-collab-private, and migrate the entirety of the archives, and delete the old archives once migrated.

Then, create an entirely brand new public education-collab mailing list and manually subscribe/open for subscripion/open archives/any combination of the previous to the new list.

RobH reassigned this task from RobH to Selsharbaty-WMF.Sep 16 2015, 10:22 PM

I've reassigned this from myself to @Selsharbaty-WMF as it requires his input.

Hi colleagues,

I have asked the Collab members if they have any problems with keeping the old archives open to the public and no one had concerns around it. I have also reviewed the archives to check if there are any sensitive conversations. I think there is no problem with keeping the archives open.

Thank you!

RobH reassigned this task from RobH to Selsharbaty-WMF.Sep 21 2015, 9:22 PM

I'm not comfortable making a private list archive public, I think there are legal/ethical/more ramifications there than we've fully addressed.

just because the current batch of list subscribers don't mind it being public doesn't mean every single person who ever contributed to the list does. (Or has the check done by @Selsharbaty-WMF cover every single contributor to the list, ever?)

So for me to do anything on making a previously private archive public, I'd want the following:

  • Someone to claim responsibility directly for either having audited every single past/present contributor and ensuring they don't mind a previously private archive being public, or someone @ WMF directly stating that we are disregarding obtaining that permission.

I don't mean to be difficult to frustrate, but I think this is a big deal.

Hi @RobH. I'm trying to get a solution from your previous comments, but this part is not very clear to me. Would you clarify it for me, please?

As such, what you request would best use a bit more downtime. I'd advise renaming the list you want to be private from education-collab to education-collab-private, and migrate the entirety of the archives, and delete the old archives once migrated.

At this point we will have one list only, right? education-collab-private. And the archives will not be on it nor on anywhere, right? The archives will be lost.

Then, create an entirely brand new public education-collab mailing list and manually subscribe/open for subscripion/open archives/any combination of the previous to the new list.

If my assumption is correct, how is this different from keeping the list we have and deleting the old archives on it? And why do we need to create a new mailing list?
Thanks for your help!

I also find these steps a little confusingly written, tbh @RobH. But I do think I get the premise. Let's see if I understand this situation correctly. Our current list is a hybrid (half private, half public). A new list would be non-hybrid (all public). We'd migrate the archives from the original list to the new list, then kill the original list because it's been replaced by the non-hybrid new list. Sounds kind of crazy but it actually makes sense! It's just cleaner this way going forward. But if that's too confusing, there's always the fall back reason of: Because Ops said so! :D

The only point that I would correct is that the new list name should not be "education-collab-private" but "education-collab-public".

Ultimately, we want to do this and we need to do this. It's frustrating not being able to link to list threads on wiki pages. We just need to make sure that Samir is clear on how to. Thanks Rob for helping us figure this out.

At this point we will have one list only, right? education-collab-private. And the archives will not be on it nor on anywhere, right? The archives will be lost.

Archives will remain at the location of the private list.

If my assumption is correct, how is this different from keeping the list we have and deleting the old archives on it? And why do we need to create a new mailing list?

Deleting archives is a very bad practice and one I strongly discourage unless it falls under legal reasons. It is usually standard practice for teams which want public and private internal communications to create two lists in order to be as open as possible yet discuss everything they need to privately.

Let's see if I understand this situation correctly. Our current list is a hybrid (half private, half public). A new list would be non-hybrid (all public). We'd migrate the archives from the original list to the new list, then kill the original list because it's been replaced by the non-hybrid new list. Sounds kind of crazy but it actually makes sense! It's just cleaner this way going forward. But if that's too confusing, there's always the fall back reason of: Because Ops said so! :D

Yes, that is more or less the overview of the case. Except archive moving and deleting the old list can be replaced with the single step of just moving the whole list over :)

The only point that I would correct is that the new list name should not be "education-collab-private" but "education-collab-public".

It's usually standard to use the public name as the main one and suffix 'private' but which ever order people want will work.

Ultimately, we want to do this and we need to do this. It's frustrating not being able to link to list threads on wiki pages. We just need to make sure that Samir is clear on how to. Thanks Rob for helping us figure this out.

I can follow up on the rename and get it done if you clarify which list order you want (what is the name of the public list and the name of the private list that you want).

Dzahn added a comment.Oct 9 2015, 11:10 PM

@JohnLewis thanks for taking this (and using the script for it we have since recently which makes the list renaming process more standard than the former manual method)

Thanks @JohnLewis. We definitely don't want to delete archives! :) Glad I've got the terminology straight now.

To clarify which list order we want (that is, the name of the public list and the name of the private list), did @RobH do that in his comment at {T107445#1553768}?

"Rename the list you want to be private from education-collab to education-collab-private, and move the entirety of the archives."
"Then, create an entirely brand new public education-collab mailing list and manually subscribe/open for subscripion/open archives/any combination of the previous to the new list."

@JohnLewis, Thanks for clarifying. Things are much clearer now.

Can we create the new list with the same name and mailing address of the one we have now after getting the one we have renamed to education-collab-private so that we don't need to notify members again that their mailing list got renamed or replaced by another one and that they need to send their messages to a new address? I kinda want to keep this process a bit internal without bothering members with new messages about technical changes to the list because we have just done this already a few weeks ago. I know my question is a bit complicated, so please ask me to clarify if it's not clear enough.

@Selsharbaty-WMF This sort of went under radar lately with me so:

Rename education-collab to education-collab-private;
Create education-collab.

Education-collab will be a fresh list with default config. I can subscribe all members from the private list to the public list as well if you want.

Please confirm the above :)

Thanks for remembering this and us, @JohnLewis! I was just about to poke. ;)

I do hope that we can resolve this matter soon. It is very frustrating that we still do not have citable links to archived conversations on this list. Now even the private archives are incomplete. The archives stop at July 2015. After that there are no records in the archives despite recent activity on the list. Fingers crossed that the new archives will be complete and public soon.

@Selsharbaty-WMF, please confirm the above as soon as you can. <3

Archives have stopped? Interesting, I'll look into that now.

Once I get confirmation, I can do the rename today hopefully.

Thanks for your dedication @JohnLewis. Please go ahead with your plan.

We can never thank you enough!

Dzahn added a comment.Oct 23 2015, 5:51 PM

I'm here as a backup if help is needed since we are now using a script i made to replace the manual instructions that were kind of long and error prone. let me know if you run into an problems.

JohnLewis closed this task as Resolved.Oct 23 2015, 6:24 PM

I have:

  • rename education-collab to education-collab-private
  • delete education-collab and its archives
  • created education-collab again
  • copied the -private list's config to -collab

The -private list is now the private list you've asked for, collab is now the public list. However both are private as I have copied the configs. The private list has all of the archives and the public list is blank, it is completely new. You're free to make the -collab list public now with no data being leaked.

The password for both lists are the same as well as administrators and subscribers.

If there are any issues, please re-open this issue and I will look as soon as possible. Thanks.

Hi @JohnLewis!

Thank you for the quick response and getting this task done very quickly! I really appreciate your help.

I just need some clarification, to have a better idea of what happened in order to convey it to my colleagues and the list members if you don't mind?

  • I can see that we have two lists now, education collab and education collab private. They are different from one another in the email address messages are sent to only, but both are called "education-collab-private", followed by a line saying "The Education Collaborative (Public List)" and both still have the archives since the beginning. Is this how it should look like?

Ah! I see, thanks for pointing this out to me. I copied the full configuration over from the private list to the public list to ensure all members are subscribed, passwords are the same and so on, to make the change more easily integratable into any workflows.

The -private list is fine as is.

I'll do the changes needed to the public list now to eliminate any confusion that may exist and then you can use that list just like any normal mailing lists.

This is now done, enjoy the correct list situation :)

Hi John,

Yeah, this is really helpful. I can never thank you enough!